#!/bin/bash
##
## -----------------------------------------------------------------
##    This file is part of WAPT Software Deployment
##    Copyright (C) 2012 - 2023  Tranquil IT https://www.tranquil.it
##    All Rights Reserved.
##
##    WAPT helps systems administrators to efficiently deploy
##    setup, update and configure applications.
## ------------------------------------------------------------------
##
SERVICE="wapttasks"
SERVICE_WAS_RUNNING=false
if systemctl list-units --full -all | grep -Fq $SERVICE && systemctl is-active --quiet $SERVICE; then
    SERVICE_WAS_RUNNING=true
    sudo systemctl stop --quiet $SERVICE
fi
WAPT_HOME="$(dirname "$(readlink -f "$0")")"
sudo -u wapt PYTHONNOUSERSITE=1 PYTHONPATH=/opt/wapt /opt/wapt/bin/python -I /opt/wapt/waptserver/wapthuey.py waptserver.tasks_common.huey -w 2 -f $@
if $SERVICE_WAS_RUNNING; then
    sudo systemctl start --quiet $SERVICE
fi
